<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeliveriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('deliveries', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('container_id');
            $table->unsignedBigInteger('provider_id');
            $table->string('delivery_number')->index()->nullable();
            $table->unsignedDecimal('price_national_currency')->index();
            $table->unsignedDecimal('price_in_currency')->index()->nullable();
            $table->unsignedTinyInteger('currency')->index()->nullable();
            $table->date('delivery_date')->index();
            $table->date('payment_deadline')->index();
            $table->timestamps();
        });
        Schema::table('deliveries', function (Blueprint $table) {
            $table->foreign('container_id')->on('containers')->references('id');
            $table->foreign('provider_id')->on('providers')->references('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::disableForeignKeyConstraints();
        Schema::dropIfExists('deliveries');
        Schema::enableForeignKeyConstraints();
    }
}
