<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeliveryItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('delivery_items', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('delivery_id');
            $table->unsignedBigInteger('product_id');

            $table->unsignedDecimal('price_per_unit');
            $table->unsignedDecimal('price_per_unit_in_currency')->nullable();

            $table->unsignedDecimal('product_qty')->index();

            $table->timestamps();
        });
        Schema::table('delivery_items', function (Blueprint $table) {
            $table->foreign('delivery_id')->on('deliveries')->references('id');
            $table->foreign('product_id')->on('products')->references('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('delivery_items');
    }
}
