<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProviderTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('provider_transactions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('provider_id');
            $table->unsignedDecimal('payment_amount')->index();
            $table->unsignedDecimal('payment_amount_in_currency')->default(0)->index();
            $table->date('payment_transaction_date')->index();
            $table->timestamps();
        });
        Schema::table('provider_transactions', function (Blueprint $table) {
            $table->foreign('provider_id')->on('providers')->references('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('delivery_transactions');
        Schema::dropIfExists('provider_transactions');
    }
}
