<?php


namespace TDevAgency\Erp\Traits;


use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;

trait Containerable
{
    protected static function boot()
    {
        parent::boot();

        parent::saving(function (Model $model) {
            if ($model->getAttributeValue('container_id') === null) {
                $model->setAttribute('container_id', Auth::guard('admin_user')->user()->container->id);
            }
        });
        parent::creating(function (Model $model) {
            if ($model->getAttributeValue('container_id') === null) {
                $model->setAttribute('container_id', Auth::guard('admin_user')->user()->container->id);
            }
        });
    }

    /**
     * @param Builder $query
     * @return Builder
     */
    public function scopeContainer(Builder $query)
    {
        return $query->where('container_id', Auth::user()->container->id);
    }
}
